# Imagick::resampleImage

(PECL imagick 2.0.0)

Imagick::resampleImage — Resample image to desired resolution

### Description

Imagick::resampleImage ( float `$x_resolution` , float `$y_resolution` , int `$filter` , float `$blur` ) : bool

Resample image to desired resolution.

### Parameters

`x_resolution`

`y_resolution`

`filter`

`blur`

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Imagick::resampleImage()

`<?php
function resampleImage($imagePath) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->resampleImage(200, 200, \Imagick::FILTER_LANCZOS, 1);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`